apt 3.1.11 commandline package manager

Public Types | List of all members
pkgCache::Flag Struct Reference

## Public Types
enum | PkgFlags { Auto =(1<<0) , Essential =(1<<3) , Important =(1<<4) }
enum | PkgFFlags { NotSource =(1<<0) , LocalSource =(1<<1) , NoPackages =(1<<2) }
enum | ReleaseFileFlags { NotAutomatic =(1<<0) , ButAutomaticUpgrades =(1<<1) }
enum | ProvidesFlags { MultiArchImplicit =pkgCache::Dep::MultiArchImplicit , ArchSpecific =pkgCache::Dep::ArchSpecific }

## Member Enumeration Documentation

## ◆ PkgFFlags

enum PkgFFlags

Enumerator
NotSource | packages can't be fetched from here, e.g. dpkg/status file
LocalSource | local sources can't and will not be verified by hashes
NoPackages | the file includes no package records itself, but additions like Translations

## ◆ ProvidesFlags

enum ProvidesFlags

Enumerator
MultiArchImplicit | generated internally, not spelled out in the index
ArchSpecific | was decorated with an explicit architecture in index

## ◆ ReleaseFileFlags

enum ReleaseFileFlags

Enumerator
NotAutomatic | archive has a default pin of 1
ButAutomaticUpgrades | (together with the previous) archive has a default pin of 100

The documentation for this struct was generated from the following file:

- apt-pkg/pkgcache.h